*$ CREATE USROUT.FOR
*COPY USROUT
*
*=== usrout ===========================================================*
*
      SUBROUTINE USROUT ( WHAT, SDUM )

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
      INCLUDE '(CASLIM)'
      INCLUDE '(BEAMCM)'
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 1991-2005      by    Alfredo Ferrari & Paola Sala  *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     USeR OUTput: this routine is called every time the USROCALL card *
*                  is found in the input stream                        *
*                                                                      *
*                                                                      *
*     Created on 01 january 1991   by    Alfredo Ferrari & Paola Sala  *
*                                                   Infn - Milan       *
*                                                                      *
*     Last change on 20-mar-05     by    Alfredo Ferrari               *
*                                                                      *
*                                                                      *
*----------------------------------------------------------------------*
*
      DIMENSION WHAT (6)
      CHARACTER SDUM*8
*
      integer edepos(1000), ephot(200), nphot(10)
      real*4 regengy
*
      common /deposit/ store(5000), regengy(5000), edepos, ephot, nphot
c
      write(49,*) 'Distribution of number of photons in CsI (1-10)'
      write(49,13) nphot
      write(49,*)
      write(49,*) 'E photons, CsI; 0-2000 MeV, step 10 MeV'
      write(49,13) (ephot(i),i=1,200)
      write(49,*)
      write(49,*) 'Inv. Mass photons; 0-2000 MeV, step 5 MeV'
      write(49,13) (edepos(i),i=1,400)
   13 format(10i8)
*
      RETURN
*=== End of subroutine Usrout =========================================*
      END

